Bug 56406 - Desktop Icon Disappear when clicked on
Desktop Icon Disappear when clicked on
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 15:18 EST by edgester
Modified: 2007-04-18 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-27 11:01:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description edgester 2001-11-16 15:18:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
Upgraded from Redhat 7.1 and I'm using Gnome + Nautilus.
When I left or right click on a desktop icon, the icon disappears (when
right-clicking, the right-click menu does appear). In order to make the
desktop icons reappear, I must run nautilus, choose preferences (advanced
preferences) and uncheck and recheck the "Use Nautilus to draw Desktop
option" and click "OK".
This makes the icons reappear, but they will still disappear when clicked
upon.

Version-Release number of selected component (if applicable):
nautilus-1.0.4-43


How reproducible:
Always

Steps to Reproduce:
1. left or right-click a desktop icon, it will disappear
2.Run "Start Here"
3. Choose Advanced Preferences
4. Open preferences
5. uncheck and recheck the "Use Nautilus to draw Desktop option"
6. click "OK"
7.. the desktop Icons will re-appear
8. clicking on a desktop icon will STILL make it disappear	

Actual Results:  Desktop Icons disappear

Expected Results:  Desktop Icons should NOT diappear.

Additional info:

Upgraded from Redhat 7.1 and I'm using Gnome + Nautilus.
Comment 1 Havoc Pennington 2002-02-27 18:24:48 EST
Alex do you remember this bug happening before? What was it?
Comment 2 Alexander Larsson 2002-02-27 19:36:24 EST
Something about fam. If i don't misremember completely just upgrading fam should
fix it.
Comment 3 Havoc Pennington 2002-02-28 11:15:22 EST
Can you try getting the latest FAM and see if that fixes it?
If the latest official FAM update doesn't work maybe try the one 
at ftp://people.redhat.com/hp/gnomehide?
Comment 4 edgester 2002-03-27 11:01:32 EST
I upgraded fam using the fam rpm from ftp://people.redhat.com/hp/gnomehide
I then restarted xinetd and logged out and logged back in.

That resolved the problem.

All is well.

Thank you all!
Comment 5 Havoc Pennington 2002-03-27 11:17:18 EST
OK, will be fixed in next release then.
Comment 6 Jason Edgecombe 2002-03-29 13:17:56 EST
Note: I am edgester@yahoo.com, I just switch email addresses.

The problem resurfaced a day later, but restarting xinetd fixed it.
I'll post anymore bug as I find them
Comment 7 Jason Edgecombe 2002-04-03 09:36:42 EST
The updated FAm seems to work well. The second instance of the desktop icons is
tied to the fact that my home directory is in AFS. Setting look permissions for
system:anyuser on my home dir and read & look permissions for system:anyuser on
my .gnome-desktop directory seems to fix everything. now I just have to be
careful what file I put on my desktop.

Note You need to log in before you can comment on or make changes to this bug.